# Changelog
This file contains highlights of what changes on each version of the [Core library for Angular](https://github.com/cedx/ngx-core.dart) project.

## Version [0.5.0](https://github.com/cedx/ngx-core.dart/compare/v0.4.0...v0.5.0)
- Breaking change: moved the JS-based functions and properties to the `ngx_core.js` library.
- Breaking change: removed the `configuration` and `environment` properties.
- Breaking change: removed the `JSObject` class.
- Added the `deleteProperty()` and `getProperties()` functions.
- Added new unit tests.
- The `ngx_core.js` library exports the functions from the `dart:js_util` library.
- Updated the package dependencies.

## Version [0.4.0](https://github.com/cedx/ngx-core.dart/compare/v0.3.0...v0.4.0)
- Breaking change: merged the `ngx_core.js_interop` library into `ngx_core`.
- Breaking change: removed the `windowFactory` factory.
- Breaking change: renamed the `convertToDart()` function to `dartify()`.
- Breaking change: renamed the `config` property to `configuration`.
- Breaking change: replaced the usage of `dart:js` library by `package:js` for [JavaScript](https://developer.mozilla.org/en-US/docs/Web/JavaScript) interoperability.
- Added the `JSObject` class.
- Added the `global` property.
- Updated the package dependencies.

## Version [0.3.0](https://github.com/cedx/ngx-core.dart/compare/v0.2.0...v0.3.0)
- Breaking change: removed the `configFactory` and `envFactory` factories.
- Breaking change: removed the `configProvider`, `envProvider` and `windowProvider` providers.
- The injection of `envToken` in `Application` constructor is now optional.
- The injection of `configToken` in `Configuration` constructor is now optional.
- The `pageTitle` directive implements `AfterViewInit` instead of `OnInit`, allowing interpolation in element's text content.

## Version [0.2.0](https://github.com/cedx/ngx-core.dart/compare/v0.1.0...v0.2.0)
- Breaking change: renamed the module exports by replacing the `core` prefix with `ngx`.
- Added an `exportAs` metadata to the `pageTitle` directive.
- Added the `goBack` directive.
- Added new unit tests.

## Version 0.1.0
- Initial release.
