# Core library for Angular
![Runtime](https://img.shields.io/badge/angular-%3E%3D4.0-brightgreen.svg) ![Release](https://img.shields.io/pub/v/ngx_core.svg) ![License](https://img.shields.io/badge/license-MIT-blue.svg) ![Coverage](https://coveralls.io/repos/github/cedx/ngx-core.dart/badge.svg) ![Build](https://travis-ci.org/cedx/ngx-core.dart.svg)

General purpose library for [Angular](https://webdev.dartlang.org/angular), implemented in [Dart](https://www.dartlang.org).

**Warning:** this library is targeted toward the [author](https://belin.io)'s applications.
You should probably not use it in your own projects.

## Requirements
The latest [Dart SDK](https://www.dartlang.org) and [Pub](https://pub.dartlang.org) versions.
If you plan to play with the sources, you will also need the latest [Grinder](http://google.github.io/grinder.dart) version.

## Installing via [Pub](https://pub.dartlang.org)

### 1. Depend on it
Add this to your package's `pubspec.yaml` file:

```yaml
dependencies:
  ngx_core: *
```

### 2. Install it
Install this package and its dependencies from a command prompt:

```shell
$ pub get
```

### 3. Import it
Now in your [Dart](https://www.dartlang.org) code, you can use:

```dart
import 'package:ngx_core/ngx_core.dart';
```

## See also
- [API reference](https://cedx.github.io/ngx-core.dart)
- [Code coverage](https://coveralls.io/github/cedx/ngx-core.dart)
- [Continuous integration](https://travis-ci.org/cedx/ngx-core.dart)

## License
[Core library for Angular](https://github.com/cedx/ngx-core.dart) is distributed under the MIT License.
